Subject: Re: [PATCH] fix e100 rx path on ARM (was [PATCH] e100 rx: or s and el bits)

From: "Kok, Auke" <[email-masked]>
Date: Fri, 18 May 2007 10:47:44 -0700

David Acker wrote:
> Kok, Auke wrote:
>> First impression just came in: It seems RX performance is dropped to 
>> 10mbit. TX is unaffected and runs at 94mbit/tcp, but RX the new code 
>> seems to misbehave and  fluctuate, dropping below 10mbit after a few 
>> netperf runs and staying there...
>>
>> ideas?
> 
> I found the problem.  Another casualty of working with two different kernels at once...arg.
> The blank rfd needs to have its el-bit clear now.  Here is the new and improved patch.

> -	nic->blank_rfd.command = cpu_to_le16(cb_el & cb_s);
> +	nic->blank_rfd.command = 0;

OK, that fixed it and it's getting 94mbit/tcp rx now without issues. Milton, can 
you look at this patch? I'd like some more feedback. Meanwhile I will try to get 
this tested on a variety of e100 NICs, which will take a few days.

Thanks,

Auke